Warning: Client

How to use phpmyadmin.... phpmyadmin related arguments. Even phpMyAdmin issues

Moderators: macek, egami, gesf

red fox
New php-forum User
New php-forum User
Posts: 39
Joined: Tue Nov 22, 2005 8:14 am

Warning: Client

Postby red fox » Sat Feb 04, 2006 1:21 am

hi
php myadmin is control mysql server
i want finish the message by php myadmin
message
Warning: Client does not support authentication protocol

please help

User avatar
Coditor
New php-forum User
New php-forum User
Posts: 243
Joined: Wed Feb 01, 2006 9:18 am
Location: Netherlands
Contact:

Postby Coditor » Sat Feb 04, 2006 1:07 pm

The problem is that the database you're using is MySql 4.1 or higher, and the client is MySql 4.0 or lower.

MySql 4.1 introduces better password protection, but unfortionately older clients cannot handle that.

You should ask your hosting provider to upgrade PHP so it includes the 4.1 client, or add this to the MySql configuration (my.ini):

old_passwords

Coditor

User avatar
Alexej Kubarev
Site Admin
Site Admin
Posts: 2223
Joined: Fri Mar 05, 2004 7:15 am
Location: Täby, Stockholms län
Contact:

Postby Alexej Kubarev » Sun Feb 05, 2006 4:26 am

The solution to solveing this problem has been given before in one of the tutorials posted at the forum.
I would instead suggest upgrading to a newer version of PHP.
if you are running MySQL 5.0 you will need to use mysqli instead of mysql extention.
You will not be able to connect to it with php4.

I do recommend upgrading to MySQL 5.0 and moving to PHP5.1 (using mysqli ofcourse).


Return to “phpMyAdmin”

Who is online

Users browsing this forum: No registered users and 0 guests